package com.brilliance.isc.mda.dao;

import com.brilliance.isc.vo.manager.UserVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface UserMapper {

    UserVo getUserByPersonId(Integer personId);

    UserVo getUserByUsrInr(String usrInr);

    UserVo getUserByLogName(String logName);

    List<HashMap<String, String>> findMechanismdByGNLISJ(String gnlisj);

    List<HashMap<String, String>> findDepartMentByParentNumber(String gnlisj);

    List<UserVo> getAllUser();

}
